- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pn_vrouter_pim_config – CLI command to modify vrouter-pim-config

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to modify pim parameters.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_cliswitch string |  | Target switch to run the CLI on.
pn_hello_interval string |  | hello interval in seconds.
pn_querier_timeout string |  | igmp querier timeout in seconds.
pn_query_interval string |  | igmp query interval in seconds.
pn_vrouter_name string |  | name of service config.
state string / required | Choices: update | State the action to perform. Use `update` to modify the vrouter-pim-config.

## Examples

    - name: pim config modify
      pn_vrouter_pim_config:
        pn_cliswitch: '192.168.1.1'
        pn_query_interval: '10'
        pn_querier_timeout: '30'
        state: 'update'
        pn_vrouter_name: 'ansible-spine1-vrouter'

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the vrouter-pim-config command.
stdout list | always | set of responses from the vrouter-pim-config command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.